sudo: required
language: cpp
compiler: gcc
dist: xenial
notifications:
  email: false

before_install:
    - git submodule init
    - git submodule update --recursive

script:
    - sudo service network-manager start
    - mkdir build
    - cd build
    - cmake -DBUILD_CRYPTO_TESTS=ON ../
    - make
    - ctest --verbose

addons:
  apt:
    sources:
    - ubuntu-toolchain-r-test
    packages:
    - network-manager

